#
# spec file for package fbbsrv (Version 7.04h)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  libax25

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libax25 libtool perl rpm

Name:         fbbsrv
License:      Other License(s), see package
Group:        Productivity/Hamradio/Packet
Requires:     libax25
Autoreqprov:  on
Version:      7.04h
Release:      306
Summary:      F6FBB packet radio mailbox
Source:       xd704h-src.tgz
Patch:        fbbsrc.704h.dif
Url:          http://www.f6fbb.org
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       %fillup_prereq %insserv_prereq sh-utils fileutils

%description
Server demon for F6FBB packet radio mailbox.



Authors:
--------
    Jean-Paul Roubelat, F6FBB <jpr@f6fbb.org>

%debug_package
%prep
%setup -n fbbsrc.704h
%patch

%build
cd src
make

%install
yes | DESTDIR=$RPM_BUILD_ROOT ./install_sh
install -d examples/
install -m 644 conf/fbb.conf{,.min}.sample examples/
install -d $RPM_BUILD_ROOT/etc/init.d/
install -m 755 rc.fbb $RPM_BUILD_ROOT/etc/init.d/fbb

%post
%{fillup_and_insserv fbb}

%postun
if [ $1 = "0" ] ; then
  rm -rf var/lib/ax25/fbb/
fi
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FBBTREE CHANGES README README.SuSE examples/
%config /etc/ax25/*
/usr/sbin/*
/usr/lib/fbb/
%dir /var/lib/ax25
/var/lib/ax25/fbb/
%config /etc/init.d/fbb

%changelog -n fbbsrv
* Thu Mar 18 2004 - jreuter@suse.de
- fixed permissions of documentation (#36433)
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Wed Jun 18 2003 - ro@suse.de
- added directory to filelist
* Tue Feb 04 2003 - ro@suse.de
- /var/ax25 -> /var/lib/ax25
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Mon Feb 18 2002 - ro@suse.de
- changed start and status function in rc-script (#13317)
* Fri Feb 15 2002 - ro@suse.de
- don't include kernel headers for user space
* Mon Feb 11 2002 - jreuter@suse.de
- update to version 7.04h (POP3 daemon bug fixes)
* Sun Jan 13 2002 - ro@suse.de
- removed START_ variable
* Mon Sep 03 2001 - jreuter@suse.de
- fixed rc file for LSB conformance (closes bugzilla entry #9033)
- updated to most recent version: implements a POP3 daemon
* Tue Aug 21 2001 - jreuter@suse.de
- updated to latest version
- started rc file cleanup for LSB conformance
* Fri Dec 01 2000 - ro@suse.de
- fixed startscript
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Networking/Hamradio
* Mon Nov 06 2000 - bubnikv@suse.cz
- updated to 7.02g
* Mon Oct 16 2000 - bubnikv@suse.cz
- fixed makefile to link ncurses
- fbb server is not started by default now
* Mon Jun 19 2000 - bubnikv@suse.cz
- updated to 7.02
* Mon Jun 05 2000 - bubnikv@suse.cz
- updated to 7.01m
- added home page url
* Fri May 19 2000 - bubnikv@suse.cz
- update to version 7.01l
- added buildroot, URLs, spec file cleanup
- moved directory /home/fbbdos to /var/ax25/fbb/fbbdos
* Tue Nov 30 1999 - ka@suse.de
- update to version 7.01f
- repacked tar archive to strip off leading directory "usr1"
  (asked Jean-Paul for permission)
* Tue Nov 30 1999 - ka@suse.de
- fixed wrong config files
- added xfbb.sh to %%files list
- changes were made after suggestion from Jean-Paul, F6FBB
* Mon Nov 08 1999 - ka@suse.de
- added missing configuration and help files
* Thu Oct 28 1999 - ka@suse.de
- initial release
